Summary:	Java HDF5 Object Package
Name:		hdf-java
Version:	2.6.1
Release:	%mkrel 3
License:	BSD-like
Group:		Development/Java
Url:		http://www.hdfgroup.org/
# http://www.hdfgroup.org/ftp/HDF5/hdf-java/src/hdf-java-2.6.1-src.tar
Source0:	hdf-java-2.6.1-src.tar.xz
Patch0:		hdf-java-2.6-not-writable-fix.patch
Patch1:		hdf-java-2.6-use-shared-libraries.patch
Patch2:		hdf-java-2.6-optflags.patch
Patch3:		hdf-java-2.6-installdirs.patch
BuildRequires:  java-rpmbuild
BuildRequires:	java-devel-openjdk
BuildRequires:	classpath-devel
BuildRequires:	hdf5-devel
BuildRequires:	HDF-devel
BuildRequires:	HDF
BuildRequires:	netcdf-devel
BuildRequires:	libjpeg-devel
BuildRequires:	zlib-devel
BuildConflicts:	libgcj-devel
Requires:	HDF
Requires:	libhdf5
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This Java package implements HDF5 data objects in an 
object-oriented form.

%prep
%setup -qn %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%define _disable_ld_no_undefined 1
%define _disable_ld_as_needed 1

export JAVA_HOME="%{java_home}"
export COPT="%{optflags}"

sed -i -e 's|LDOPT=-G|LDOPT=-g|g' \
    -e 's|COPT=-G|COPT=-g|g' -e 's|LDOPT=-shared|LDOPT="-g -shared"|g' \
    -e 's|COPT=-shared|COPT="-shared  -fPIC"|g' -e 's|x86_64-pc-linux|x86_64-*-linux|g' \
    -e 's|x86_64-pc|x86_64-*|g' configure*

#(tpg) make it work
sed -i -e 's|x86_64-pc|x86_64-*|g' Config/config.sub
find . -name 'Makefile.in' | xargs sed -i -e 's|CFLAGS =|CFLAGS +=|g'
find . -name 'Makefile.in' | xargs sed -i -e 's|LDOPT=|LDOPT+=|g'
find . -name 'Makefile.in' | xargs sed -i -e 's|COPT=|COPT+=|g'

# (tpg) get rid of some jars
rm -rf lib/junit.jar
sed -i -e 's|cp lib/junit.jar $(LIBDIR)||g' Makefile*

autoreconf -fiv

%configure2_5x \
	--with-jdk=%{java_home}/include,%{java_home}/lib \
	--with-javabin=%{java_home}/bin  \
	--with-libz=yes,%{_libdir}  \
	--with-libjpeg=yes,%{_libdir}   \
	--with-hdf5=yes,%{_libdir} \
	--with-hdf4=yes,%{_libdir}

%make -j1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std
rm -rf %{buildroot}%{_docdir}/hdf-java

# should be another jni specific directory, but only hdf-java install
# .so files there...
mkdir -p %{buildroot}%{_libdir}
mv -f %{buildroot}%{_javadir}/*.so %{buildroot}%{_libdir}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Readme.txt docs/*
%{_bindir}/hdfview.sh
%{_javadir}/*.jar
%{_javadir}/ext/*.jar
%{_libdir}/*.so


%changelog
* Sun Feb 27 2011 Funda Wang <fwang@mandriva.org> 2.6.1-3mdv2011.0
+ Revision: 640444
- rebuild to obsolete old packages

* Wed Jan 26 2011 Paulo Andrade <pcpa@mandriva.com.br> 2.6.1-2
+ Revision: 632847
- Do not install shared jni libraries in javadir

* Fri Jan 21 2011 Paulo Andrade <pcpa@mandriva.com.br> 2.6.1-1
+ Revision: 632075
- Update to hdf-java-2.6.1

* Wed Aug 04 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2.6-3mdv2011.0
+ Revision: 565956
- do not install junit.jar (mdv #60474)

* Thu Apr 29 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2.6-2mdv2010.1
+ Revision: 540660
- x86_64-mandriva-* should be recognized now
- add requires on HDF and libhdf5
- Patch1: enable hdf4 support
- import hdf-java


